>From d317b54bc351c31b208b8c61903755e10b1ee5b0 Mon Sep 17 00:00:00 2001
From: Stefan Tauner <stefan.tauner@alumni.tuwien.ac.at>
Date: Thu, 9 Jul 2015 09:57:42 +0200
Subject: [PATCH] Add support for 3Com 3C905-TX (10b7:9050).

Signed-off-by: Stefan Tauner <stefan.tauner@alumni.tuwien.ac.at>
Acked-by: Stefan Tauner <stefan.tauner@alumni.tuwien.ac.at>
---
 nic3com.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/nic3com.c b/nic3com.c
index 4d4702a..61cd4c8 100644
--- a/nic3com.c
+++ b/nic3com.c
@@ -38,6 +38,9 @@ static uint32_t internal_conf;
 static uint16_t id;
 
 const struct dev_entry nics_3com[] = {
+	/* 3C905 */
+	{0x10b7, 0x9050, NT, "3COM", "3C905-TX: PCI 10/100 Mbps; shared 10BASE-T/100BASE-TX"},
+
 	/* 3C90xB */
 	{0x10b7, 0x9055, OK, "3COM", "3C90xB: PCI 10/100 Mbps; shared 10BASE-T/100BASE-TX"},
 	{0x10b7, 0x9001, NT, "3COM", "3C90xB: PCI 10/100 Mbps; shared 10BASE-T/100BASE-T4" },
-- 
Kind regards, Stefan Tauner

